﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.IO.IsolatedStorage;

namespace Thumbnails.Data
{
  public class DataFile
  {
    private const string DATA_FILE_NAME = "ThumbnailsData.txt";

    internal User LoadUser()
    {
      User user = null;

      // Try to get the information about the last visit
      using (IsolatedStorageFile store
        = IsolatedStorageFile.GetUserStoreForApplication())
      {
        if (store.FileExists(DATA_FILE_NAME))
        {
          using (IsolatedStorageFileStream streamRead
            = store.OpenFile(DATA_FILE_NAME, FileMode.Open))
          {
            using (StreamReader reader = new StreamReader(streamRead))
            {
              string line = reader.ReadLine();
              if (line != null)
              {
                user = new User(line);
              }
              else
              {
                user = new User();
              }
           }
          }
        }
        else
        {
          user = new User();
        }

      }
      return user;
    }

    internal void SaveUser(User user)
    {
      using (IsolatedStorageFile store
        = IsolatedStorageFile.GetUserStoreForApplication())
      {
        using (IsolatedStorageFileStream streamWrite
          = store.OpenFile(DATA_FILE_NAME, FileMode.OpenOrCreate))
        {
          using (StreamWriter writer = new StreamWriter(streamWrite))
          {
            writer.WriteLine(user.ToString());
          }
        }
      }
    }
  }
}
