﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ColorChooser
{
  public partial class Page : UserControl
  {
    public Page()
    {
      InitializeComponent();
      Color initialColor = Colors.Purple;
      A.Text = initialColor.A.ToString();
      R.Text = initialColor.R.ToString();
      G.Text = initialColor.G.ToString();
      B.Text = initialColor.B.ToString();
    }

    private void AddColorButton_Click(object sender, RoutedEventArgs e)
    {
      Color newColor = Color.FromArgb(byte.Parse(A.Text),
        byte.Parse(R.Text), byte.Parse(G.Text), byte.Parse(B.Text));
      SolidColorBrush newBrush = new SolidColorBrush(newColor);
      ColorBrushes collection = Resources["MyColorBrushes"] as ColorBrushes;
      MyColor newItem = new MyColor("Manual " + collection.Count, newBrush);
      collection.Add(newItem);
    }
    private void RemoveColorButton_Click(object sender, RoutedEventArgs e)
    {
      MyColor selected = ColorsList.SelectedItem as MyColor;
      (Resources["MyColorBrushes"] as ColorBrushes).Remove(selected);
    }

    private int _columnIndex = 0;
    private void DataGrid_AutoGeneratingColumn(object sender,
      DataGridAutoGeneratingColumnEventArgs e)
    {
      if (_columnIndex == 0)
      {
        e.Column.Width = new DataGridLength(100.0);
      }
      _columnIndex++;
    }
  }
}
