﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using UserManagement;

namespace SimpleUserLogin
{
  public partial class Page : UserControl
  {
    private DataFile _dataFile;

    public Page()
    {
      InitializeComponent();
      _dataFile = new DataFile();
      _dataFile.LoadUsers();
    }

    private void LoginButton_Click(object sender, RoutedEventArgs e)
    {
      User inputUser = new User();
      inputUser.Name = UserNameTextBox.Text;
      inputUser.Password = PasswordTextBox.Password;
      if (_dataFile.ValidateUser(inputUser))
      {
        User savedUser = _dataFile.GetUser(inputUser.Name);
        StatusTextBlock.Text = "(Your last visit was: "
          + savedUser.LastVisit.Value.ToShortDateString()
          + " " + savedUser.LastVisit.Value.ToLongTimeString() + ")";
        savedUser.SetLastVisit();
        _dataFile.SaveUsers();
      }
      else
      {
        StatusTextBlock.Text = "Invalid user/password combination";
      }
    }

    private void NewUserButton_Click(object sender, RoutedEventArgs e)
    {
      try
      {
        User newUser = new User();
        newUser.Name = UserNameTextBox.Text;
        newUser.Password = PasswordTextBox.Password;
        newUser.SetLastVisit();
        _dataFile.AddUser(newUser);
        StatusTextBlock.Text = "(This is your first visit)";
      }
      catch (Exception ex)
      {
        StatusTextBlock.Text = ex.Message;
      }
    }
  }
}
