﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace MediaInfo
{
  public enum MediaType
  {
    Image = 0,
    Movie = 1,
  }

  public class Media : INotifyPropertyChanged
  {
    #region INotifyPropertyChanged Members
    public event PropertyChangedEventHandler PropertyChanged;
    #endregion

    public MediaType Type
    {
      get;
      set;
    }
    public string MediaName
    {
      get;
      set;
    }
    private string _description;
    public string Description
    {
      get { return _description; }
      set
      {
        _description = value;
        if (PropertyChanged != null)
        {
          PropertyChanged(this,
            new PropertyChangedEventArgs("Description"));
        }
      }
    }
    private string _mediaPath = "";
    public string MediaPath
    {
      get { return _mediaPath; }
      set { _mediaPath = (value == null) ? "" : value; }
    }
    public DateTime TimeStamp
    {
      get;
      set;
    }
  }
}
