﻿Thumbnails = function(page)
{
  this._loginDialog
    = document.getElementById("LoginDialog");
  this._nameTextBox
    = document.getElementById("NameTextBox");
  this._passwordTextBox
    = document.getElementById("PasswordTextBox");
  this._loginDialogStatus
    = document.getElementById("LoginDialogStatus");

  this._page = page;
  this._page.LoginClicked
    = Thumbnails.createDelegate(this, this.handleLoginClicked);
}

Thumbnails.createDelegate = function(instance, method)
{
  return function()
  {
    return method.apply(instance, arguments);
  }
}

Thumbnails.prototype =
{
  handleLoginClicked: function()
  {
    this._loginDialog.style.display = "block";
  },
  handleCancelClicked: function()
  {
    this.cancel();
  },
  handleSubmitClicked: function()
  {
    var name = this._nameTextBox.value;
    var password = this._passwordTextBox.value;

    var errorMessage
    = this._page.ValidateUser(name, password);

    this.checkErrorMessage(errorMessage);
  },
  handleNewUserClicked: function()
  {
    var name = this._nameTextBox.value;
    var password = this._passwordTextBox.value;

    var errorMessage
    = this._page.AddUser(name, password);

    this.checkErrorMessage(errorMessage);
  },
  checkErrorMessage: function(errorMessage)
  {
    if (errorMessage == null)
    {
      // success
      this.cancel();
    }
    else
    {
      this._loginDialogStatus.innerHTML = errorMessage;
    }
  },
  cancel: function()
  {
    this._loginDialog.style.display = "none";
    this._nameTextBox.value = "";
    this._passwordTextBox.value = "";
    this._loginDialogStatus.innerHTML = "";
  }
}
