﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MediaInfo;
using System.Windows.Media.Imaging;
using System.Collections.ObjectModel;
using System.IO;

namespace Thumbnails.Data
{
  public class MediaEx : Media
  {
    public Uri FileUri
    {
      get
      {
        return new Uri(
          System.IO.Path.Combine(MediaPath, MediaName).Replace('\\', '/'),
            UriKind.Relative);
      }
    }
    public Stream MediaSource
    {
      get;
      set;
    }
    public BitmapImage ImageSource
    {
      get
      {
        if (MediaSource == null)
        {
          return null;
        }
        BitmapImage bitmap = new BitmapImage();
        bitmap.SetSource(MediaSource);
        return bitmap;
      }
    }
  }

  public class MediaExCollection : ObservableCollection<MediaEx>
  {
  }

}
