﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace DataBindingSilverlight
{
  public class DateTimeConverter : IValueConverter
  {
    public object Convert(object value, Type targetType,
      object parameter, System.Globalization.CultureInfo culture)
    {
      double parameterAsDouble = 0.0;
      if (parameter != null)
      {
        parameterAsDouble = Double.Parse(parameter.ToString());
      }

      DateTime valueAsDateTime
        = (DateTime) value + TimeSpan.FromDays((parameterAsDouble));
      return valueAsDateTime.ToString(culture);
    }
    public object ConvertBack(object value, Type targetType,
      object parameter, System.Globalization.CultureInfo culture)
    {
      string valueAsString = value.ToString();
      return DateTime.Parse(valueAsString, culture);
    }
  }
}
